[Midnightbsd-cvs] src [7174] trunk/crypto/openssh: add kerberos configuration for OpenSSH

laffer1 at midnightbsd.org laffer1 at midnightbsd.org
Sun Jul 26 19:59:11 EDT 2015


Revision: 7174
          http://svnweb.midnightbsd.org/src/?rev=7174
Author:   laffer1
Date:     2015-07-26 19:59:10 -0400 (Sun, 26 Jul 2015)
Log Message:
-----------
add kerberos configuration for OpenSSH

Added Paths:
-----------
    trunk/crypto/openssh/krb5_config.h
    trunk/crypto/openssh/midnightbsd-configure.sh

Added: trunk/crypto/openssh/krb5_config.h
===================================================================
--- trunk/crypto/openssh/krb5_config.h	                        (rev 0)
+++ trunk/crypto/openssh/krb5_config.h	2015-07-26 23:59:10 UTC (rev 7174)
@@ -0,0 +1,11 @@
+/* $MidnightBSD$ */
+#define GSSAPI 1
+#define HAVE_DECL_GSS_C_NT_HOSTBASED_SERVICE 1
+#define HAVE_GSSAPI_GSSAPI_H 1
+#define HAVE_GSSAPI_GSSAPI_KRB5_H 1
+#define HAVE_GSSAPI_H 1
+#define HAVE_KRB5_CC_NEW_UNIQUE 1
+#define HAVE_KRB5_FREE_ERROR_MESSAGE 1
+#define HAVE_KRB5_GET_ERROR_MESSAGE 1
+#define HEIMDAL 1
+#define KRB5 1


Property changes on: trunk/crypto/openssh/krb5_config.h
___________________________________________________________________
Added: svn:eol-style
## -0,0 +1 ##
+native
\ No newline at end of property
Added: svn:keywords
## -0,0 +1 ##
+MidnightBSD=%H
\ No newline at end of property
Added: svn:mime-type
## -0,0 +1 ##
+text/plain
\ No newline at end of property
Added: trunk/crypto/openssh/midnightbsd-configure.sh
===================================================================
--- trunk/crypto/openssh/midnightbsd-configure.sh	                        (rev 0)
+++ trunk/crypto/openssh/midnightbsd-configure.sh	2015-07-26 23:59:10 UTC (rev 7174)
@@ -0,0 +1,30 @@
+#!/bin/sh
+#
+# $MidnightBSD$
+#
+
+configure_args="
+    --prefix=/usr
+    --sysconfdir=/etc/ssh
+    --with-pam
+    --with-tcp-wrappers
+    --with-libedit
+    --with-ssl-engine
+    --without-xauth
+" 
+
+set -e
+
+# generate config.h with krb5 and stash it
+sh configure $configure_args --with-kerberos5
+mv config.log config.log.orig
+mv config.h config.h.orig
+
+# generate config.h without krb5
+sh configure $configure_args --without-kerberos5
+
+# extract the difference
+echo '/* $Free''BSD$ */' > krb5_config.h
+diff -u config.h.orig config.h |
+	sed -n '/^-#define/s/^-//p' |
+	grep -Ff /dev/stdin config.h.orig >> krb5_config.h


Property changes on: trunk/crypto/openssh/midnightbsd-configure.sh
___________________________________________________________________
Added: svn:eol-style
## -0,0 +1 ##
+native
\ No newline at end of property
Added: svn:keywords
## -0,0 +1 ##
+MidnightBSD=%H
\ No newline at end of property
Added: svn:mime-type
## -0,0 +1 ##
+text/plain
\ No newline at end of property


More information about the Midnightbsd-cvs mailing list